Bug 1664261 - unable to change Red Hat CDN URL: Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject.
Summary: unable to change Red Hat CDN URL: Value (NilClass) '' is not any of: ForemanT...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Samir Jha
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks: 1664281
TreeView+ depends on / blocked
 
Reported: 2019-01-08 09:25 UTC by Jan Hutař
Modified: 2019-10-07 17:17 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.10-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:45 UTC


Attachments (Terms of Use)
foreman-tail during I have tried same via webUI (91.09 KB, text/plain)
2019-01-08 09:26 UTC, Jan Hutař
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:54 UTC
Foreman Issue Tracker 25816 None None None 2019-01-09 15:04:50 UTC

Description Jan Hutař 2019-01-08 09:25:12 UTC
Description of problem:
I'm unable to change Red Hat CDN URL: Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject.


Version-Release number of selected component (if applicable):
satellite-6.5.0-5.beta.el7sat.noarch (snap #10)


How reproducible:
always


Steps to Reproduce:
1. Upload manifest, sync some repos
2. # hammer organization update --name 'Default Organization' --redhat-repository-url 'http://sat650snap4.example.com/pub/sat-import/'


Actual results:
[root@satellite ~]# hammer organization update --name 'Default Organization' --redhat-repository-url 'http://sat650snap4.example.com/pub/sat-import/'
Could not update the organization:
  Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject.


Expected results:
Should work

Comment 3 Jan Hutař 2019-01-08 09:26:17 UTC
Created attachment 1519153 [details]
foreman-tail during I have tried same via webUI

Comment 4 Samir Jha 2019-01-09 15:04:50 UTC
Created redmine issue http://projects.theforeman.org/issues/25816 from this bug

Comment 5 Bryan Kearney 2019-01-10 13:06:51 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25816 has been resolved.

Comment 10 errata-xmlrpc 2019-05-14 12:39:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.